{% extends 'base.html' %}
{% load urlify %}
{% load crispy_forms_tags %}
{% block head_title %} {{ instance.title }} | {{ block.super }} {% endblock head_title %}
{% block post_detail_link %}
<li> <a href="{{ instance.get_absolute_url }}">{{ instance.title }}</a></li>
{% endblock post_detail_link %}
{% block content %}
<div class="col-sm-6 col-sm-offset-3">
  {% if instance.image %}
  <img src="{{ instance.image.url }}" class="img-responsive"/>
  {% endif %}
  <h1>{{ instance.title}} <small>{% if instance.draft %}<span style='color:red;'>Draft </span>{% endif %}{{ instance.publish }}</small></h1>
  <p>Author: {{ instance.user }} </p>
  <p>Read time: {{ instance.read_time }} minutes</p>
<div class="fb-like" data-href="https://developers.facebook.com/docs/plugins/" data-layout="standard" data-action="like" data-show-faces="true" data-share="true"></div>
  </p>
  <!-- <p><a href="https://www.facebook.com/sharer/sharer.php?u={{ request.build_absolute_uri }}">
Share on Facebook
</a>
</p> -->
<hr/>
<br/>
<div class="post-detail-item">
  {{instance.get_markdown}}</br>
</div>
<div>
  <p class="lead">Comments</p>
  {% if request.user.is_authenticated %}
  <form method="POST" action="."> {% csrf_token %}
    {{ comment_form|crispy }}
    <input type="submit" value='Comment' class="btn btn-default"/>
  </form>
  {% else %}
  <p> You must login to comment</p>
  {% endif %}
  <hr/>
       {% for comment in comments %}
       <blockquote>
           <p>{{ comment.content }}</p>
           <footer> via {{ comment.user }} | {{ comment.timestamp|timesince }} ago |
             {% if comment.children.count > 0 %}{{comment.children.count}} Comments | {% endif %}
             <a class="comment-reply-btn" href='#'>Reply</a>
             <a class="" href='{{ comment.get_absolute_url }}'>Thread</a>
          </footer>
           <div class="comment-reply">
           {% for child_comment in comment.children %}
              <blockquote>
                  <p>{{ child_comment.content }}</p>
                  <footer> via {{ child_comment.user }} | {{ child_comment.timestamp|timesince }} ago</footer>

              </blockquote>
          {% endfor %}
          {% if request.user.is_authenticated %}
             <form method="POST" action="."> {% csrf_token %}
                 {{ comment_form|crispy }}
                 <input type="hidden" name='parent_id' value='{{ comment.id }}'/>
                 <input type="submit" value='Reply' class="btn btn-default"/>
             </form>
             {% else %}
             <p> You must login to comment</p>
             {% endif %}
           </div>
       </blockquote>
       <hr/>
       {% endfor %}
</div>
</div>
{% endblock content %}
